Bug 1325965 (CVE-2016-4008) - CVE-2016-4008 libtasn1: infinite loop while parsing DER certificates
Summary: CVE-2016-4008 libtasn1: infinite loop while parsing DER certificates
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-4008
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1325968 1325969 1325970
Blocks: 1325972
TreeView+ depends on / blocked
 
Reported: 2016-04-11 13:49 UTC by Andrej Nemec
Modified: 2019-09-29 13:46 UTC (History)
22 users (show)

Fixed In Version: libtasn1 4.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-09 08:35:33 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-04-11 13:49:46 UTC
The libtasn1 library, in its 4.7 version, can loop for a long time or indefinitely when it is used to parse DER representations of X509 certificates, leading to a denial of service. Some of these loops may in addition increase heap or stack usage, leading to more issues.

References (with reproducer):

http://seclists.org/oss-sec/2016/q2/51

Comment 1 Andrej Nemec 2016-04-11 13:51:19 UTC
Created libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1325968]

Comment 2 Andrej Nemec 2016-04-11 13:51:32 UTC
Created mingw-libtasn1 tracking bugs for this issue:

Affects: fedora-all [bug 1325969]
Affects: epel-7 [bug 1325970]

Comment 3 Andrej Nemec 2016-04-13 14:26:17 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q2/66

Comment 4 Fedora Update System 2016-04-15 03:18:02 UTC
libtasn1-4.8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-04-22 01:24:53 UTC
libtasn1-4.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-04-27 22:20:51 UTC
libtasn1-4.8-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.